Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Class MethodInfo

    java.lang.Object
      org.eclipse.birt.report.model.api.metadata.MethodInfo

All Implemented Interfaces:
  ILocalizableInfo, IMethodInfo

    public class MethodInfo

extends java.lang.Object
implements IMethodInfo

Represents the method information for both class and element. The class includes the argument list, return type, and whether this method is static or constructor,

Constructor Summary
`MethodInfo(boolean isConstructor)`

Method Summary
`protected void` | `addArgumentList(IArgumentInfoList argumentList)` Adds an optional argument list to the method information.
`java.util.Iterator<IArgumentInfoList>` | `argumentListIterator()` Returns the iterator of argument definition.
`IClassInfo` | `getClassReturnType()` Returns the script type for return.
`java.lang.String` | `getDisplayName()` Returns the display name if the resource key of display name is available.
`java.lang.String` | `getDisplayNameKey()` Returns the resource key for display name.
`java.lang.String` | `getJavaDoc()` Returns the method javadoc.
`java.lang.String` | `getName()` Returns the definition name.
`java.lang.String` | `getReturnType()` Returns the script type for return.
`java.lang.String` | `getToolTip()` Returns the display string for the tool tip of this method.
`java.lang.String` | `getToolTipKey()` Returns the resource key for tool tip.
`boolean` | `isConstructor()` Returns whether this method is constructor.
`boolean` | `isStatic()` Returns whether this method is static.
`protected void` | `setDisplayName(java.lang.String displayName)` Sets the display name.
`protected void` | `setDisplayNameKey(java.lang.String displayNameKey)` Sets the resource key for display name.
`void` | `setJavaDoc(java.lang.String javaDoc)`
`protected void` | `setName(java.lang.String name)` Sets the definition name.
`protected void` | `setReturnType(java.lang.String returnType)`
`protected void` | `setStatic(boolean isStatic)`
`void` | `setToolTip(java.lang.String toolTip)` Sets the display string for the tool tip of this method.
`void` | `setToolTipKey(java.lang.String toolTipKey)` Sets the resource key for tool tip.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInfo

    public MethodInfo(boolean isConstructor)

Parameters:
  `isConstructor` -

Method Detail

### addArgumentList

    protected void addArgumentList(IArgumentInfoList argumentList)

  Adds an optional argument list to the method information.

  Parameters:
    `argumentList` - an optional argument list

### argumentListIterator

    public java.util.Iterator<IArgumentInfoList> argumentListIterator()

  Returns the iterator of argument definition. Each one is a list that contains `ArgumentInfoList`.

  Specified by:
    `argumentListIterator` in interface `IMethodInfo`
  Returns:
    iterator of argument definition.

### getToolTipKey

    public java.lang.String getToolTipKey()

  Returns the resource key for tool tip.

  Specified by:
    `getToolTipKey` in interface `ILocalizableInfo`
  Specified by:
    `getToolTipKey` in interface `IMethodInfo`
  Returns:
    the resource key for tool tip

### setToolTipKey

    public void setToolTipKey(java.lang.String toolTipKey)

  Sets the resource key for tool tip.

  Parameters:
    `toolTipKey` - the resource key to set

### getToolTip

    public java.lang.String getToolTip()

  Returns the display string for the tool tip of this method.

  Specified by:
    `getToolTip` in interface `ILocalizableInfo`
  Specified by:
    `getToolTip` in interface `IMethodInfo`
  Returns:
    the user-visible, localized display name for the tool tip of this method.

### setToolTip

    public void setToolTip(java.lang.String toolTip)

  Sets the display string for the tool tip of this method.

  Parameters:
    `toolTip` - the user-visible, localized display name for the tool tip of this method.

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `ILocalizableInfo`
  Returns the display name if the resource key of display name is available. Otherwise, return empty string.

  Specified by:
    `getDisplayName` in interface `ILocalizableInfo`
  Returns:
    the display name

### setDisplayName

    protected void setDisplayName(java.lang.String displayName)

  Sets the display name.

  Parameters:
    `displayName` - the display value

### getDisplayNameKey

    public java.lang.String getDisplayNameKey()

  Description copied from interface: `ILocalizableInfo`
  Returns the resource key for display name.

  Specified by:
    `getDisplayNameKey` in interface `ILocalizableInfo`
  Returns:
    the resource key for display name

### getName

    public java.lang.String getName()

  Description copied from interface: `ILocalizableInfo`
  Returns the definition name.

  Specified by:
    `getName` in interface `ILocalizableInfo`
  Returns:
    the name of this definition

### setDisplayNameKey

    protected void setDisplayNameKey(java.lang.String displayNameKey)

  Sets the resource key for display name.

  Parameters:
    `displayNameKey` - the resource key to set

### setName

    protected void setName(java.lang.String name)

  Sets the definition name.

  Parameters:
    `name` - the name to set

### getJavaDoc

    public java.lang.String getJavaDoc()

  Description copied from interface: `IMethodInfo`
  Returns the method javadoc.

  Specified by:
    `getJavaDoc` in interface `IMethodInfo`
  Returns:
    the javadoc

### getReturnType

    public java.lang.String getReturnType()

  Description copied from interface: `IMethodInfo`
  Returns the script type for return.

  Specified by:
    `getReturnType` in interface `IMethodInfo`
  Returns:
    the script type for return

### isConstructor

    public boolean isConstructor()

  Description copied from interface: `IMethodInfo`
  Returns whether this method is constructor.

  Specified by:
    `isConstructor` in interface `IMethodInfo`
  Returns:
    true, if this method is constructor

### isStatic

    public boolean isStatic()

  Description copied from interface: `IMethodInfo`
  Returns whether this method is static.

  Specified by:
    `isStatic` in interface `IMethodInfo`
  Returns:
    true if this method is static

### setJavaDoc

    public void setJavaDoc(java.lang.String javaDoc)

  Parameters:
    `javaDoc` -

### setReturnType

    protected void setReturnType(java.lang.String returnType)

  Parameters:
    `returnType` -

### setStatic

    protected void setStatic(boolean isStatic)

  Parameters:
    `isStatic` -

### getClassReturnType

    public IClassInfo getClassReturnType()

  Description copied from interface: `IMethodInfo`
  Returns the script type for return.

  Specified by:
    `getClassReturnType` in interface `IMethodInfo`
  Returns:
    the script type for return

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.